Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://api.dnsradar.dev/agents \
  --header 'X-Api-Key: <api-key>'
{
  "limit": 20,
  "after": "<string>",
  "before": "<string>",
  "has_more": true,
  "data": [
    {
      "id": "agt_abc123...",
      "name": "Richard Hendricks",
      "email": "richard@piedpiper.com",
      "avatar": "https://www.gravatar.com/avatar/...",
      "firstname": "Richard",
      "notification_email": "richard.hendricks@gmail.com",
      "is_owner": true,
      "created": "2023-11-07T05:31:56Z",
      "locked": "2023-11-07T05:31:56Z",
      "lock_reason": "ban"
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Query Parameters

after
string

Cursor for fetching the next page of results. Use the value from the previous response's 'after' field.

before
string

Cursor for fetching the previous page of results. Use the value from the previous response's 'before' field.

limit
integer
default:20

Number of items per page (1-100, default: 20)

Required range: 1 <= x <= 100
order_by
string

Field to order results by

order_way
enum<string>
default:asc

Sort direction

Available options:
asc,
desc

Response

Paginated list of agents

Paginated response wrapper for list endpoints. Uses cursor-based pagination with after/before parameters.

limit
integer

Number of items per page (max 100)

Example:

20

after
string | null

Cursor to fetch the next page of results

before
string | null

Cursor to fetch the previous page of results

has_more
boolean

Indicates if there are more items to fetch

data
object[]

Array of items for the current page